﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Groups
{
    public class ApprovalJourneyDto
    {
        public int Diid { get; set; }
        public int UserId { get; set; }
    }

    public class CreateApprovalJourneyDto
    {
        public int Diid { get; set; }
        
        public int Userid { get; set;}
    }

    public class ExportApprovalJourneyWord
    {
        public int Diid { get; set; }
    }

    public class SaveApprovalJourney
    {
        public List<ApprovalJourneyItem> Arr { get; set; }

        public int UserId { get; set; }
    }

    public class DeleteApprovalJourney
    {
        public int Diid { get; set; }
        public int uesrId { get; set; }
    }

    public class ChiListItem
    {
        /// <summary>
        /// 时间区间
        /// </summary>
        public List<string> timeInterval { get; set; }
        
        /// <summary>
        /// 详细信息
        /// </summary>
        public string details { get; set; }
        
        /// <summary>
        /// 父级Id
        /// </summary>
        
        public int parentId { get; set; }
        /// <summary>
        /// id
        /// </summary>
        public int id { get; set; }
    }

    public class ApprovalJourneyItem
    {
        /// <summary>
        /// id
        /// </summary>
        public int id { get; set; }
        /// <summary>
        /// 日期显示
        /// </summary>
        public string date { get; set; }
        /// <summary>
        /// 团组id
        /// </summary>
        public int diid { get; set; }
        /// <summary>
        ///项列表 
        /// </summary>
        public List<ChiListItem> chiList { get; set; }
    }

}
