﻿using FluentValidation;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Tencent
{
    /// <summary>
    /// 通用文字识别
    /// 请求类
    /// </summary>
    public class GeneralBasicOCRDto : OCRDtoBase
    {
    }

    /// <summary>
    /// 验证
    /// </summary>
    public class GeneralBasicOCRDtoFoalidator : AbstractValidator<GeneralBasicOCRDto>
    {
        /// <summary>
        /// 通用文字识别 请求参数验证
        /// </summary>
        public GeneralBasicOCRDtoFoalidator()
        {
            Include(new OCRDtoBaseFoalidator()); //继承基类验证规则
        }
    }
}
