﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain
{
    public class Result
    {
        public int Code { get; set; } = -1;
        public string Msg { get; set; } = "未知错误";
        public dynamic? Data { get; set; } = new { };
    }


    /// <summary>
    /// 消息 Tips
    /// </summary>
    public static class MsgTips 
    {
        /// <summary>
        /// 成功 消息提示
        /// </summary>
        public static string Succeed = "操作成功!";

        /// <summary>
        /// 失败 消息提示
        /// </summary>
        public static string Fail = "操作失败!";

        /// <summary>
        /// 添加成功
        /// </summary>
        public static string AddSucceed = "添加成功!";

        /// <summary>
        /// 添加成功
        /// </summary>
        public static string AddFail = "添加失败!";

        /// <summary>
        /// 修改成功
        /// </summary>
        public static string EditSucceed = "修改成功!";

        /// <summary>
        /// 修改成功
        /// </summary>
        public static string EditFail = "修改失败!";

        /// <summary>
        /// 端口错误消息提示
        /// </summary>
        public static string Port = "请检查端口值是否正确!“portType”：1:WEB;2:ANDROID;3:IOS;";

        /// <summary>
        ///  PageIndex 错误消息提示
        /// </summary>
        public static string PageIndex = "请检查当前页面(pageIndex)是否正确!";

        /// <summary>
        /// PageSize 错误消息提示
        /// </summary>
        public static string PageSize = "请检查每页长度(pageSize)是否正确!";
        /// <summary>
        /// 团组Id错误消息提示
        /// </summary>
        public static string DiId = "请检查团组Id(diid)是否正确!";
        /// <summary>
        /// 数据Id错误消息提示
        /// </summary>
        public static string Id = "请检查数据Id(id)是否正确!";

        /// <summary>
        /// 数据Id错误消息提示
        /// </summary>
        public static string Status = "请检查状态Id(Status)是否正确!1 添加 2 修改";

        /// <summary>
        /// UserId错误消息提示
        /// </summary>
        public static string UserId = "请检查UserId是否正确!";


        /// <summary>
        /// PageId错误消息提示
        /// </summary>
        public static string PageId = "请检查PageId是否正确!";

        /// <summary>
        /// CheckAuth 错误消息提示
        /// </summary>
        public static string CheckAuth = "您没有查看权限！";
    }

   
}
