﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Groups
{
    public class HotelInquiryDto
    {
    }

    public class HotelInquiryPageItemDto : DtoBase
    {
        public int DiId { get; set; }
    }

    public class HotelInquiryInfoDto : PortDtoBase 
    {
        public int Id { get; set; }
    }


    public class HotelInquiryAddOrEditDto : OpBaseDto 
    {
        /// <summary>
        /// 团组Id
        /// </summary>
        public int DiId { get; set; }

        /// <summary>
        /// 所在城市
        /// </summary>
        public string City { get; set; }

        /// <summary>
        /// 酒店名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 酒店地址
        /// </summary>
        public string Address { get; set; }

        /// <summary>
        /// 查询时间
        /// </summary>
        public string SelectDt { get; set; }

        /// <summary>
        /// 入住 日期
        /// </summary>
        public string CheckInDate { get; set; }

        /// <summary>
        /// 离店 日期
        /// </summary>
        public string CheckOutDate { get; set; }

        /// <summary>
        /// 单间 价格
        /// </summary>
        public decimal SinglePrice { get; set; }

        /// <summary>
        /// 单间 数量
        /// </summary>
        public int SingleQuantity { get; set; }

        /// <summary>
        /// 单间 币种 
        /// 外键 币种Id
        /// </summary>
        public int SingleCurrency { get; set; }

        /// <summary>
        /// 双人间 价格
        /// </summary>
        public decimal DoublePrice { get; set; }

        /// <summary>
        /// 双人间 数量
        /// </summary>
        public int DoubleQuantity { get; set; }

        /// <summary>
        /// 双人间 币种 
        /// 外键 币种Id
        /// </summary>
        public int DoubleCurrency { get; set; }

        /// <summary>
        /// 套房 价格
        /// </summary>
        public decimal SuitePrice { get; set; }

        /// <summary>
        /// 套房 数量
        /// </summary>
        public int SuiteQuantity { get; set; }

        /// <summary>
        /// 套房 币种 
        /// 外键 币种Id
        /// </summary>
        public int SuiteCurrency { get; set; }

        /// <summary>
        /// 其他 价格
        /// </summary>
        public decimal OtherPrice { get; set; }

        /// <summary>
        /// 其他 数量
        /// </summary>
        public int OtherQuantity { get; set; }

        /// <summary>
        /// 单价 币种 
        /// 外键 币种Id
        /// </summary>
        public int OtherCurrency { get; set; }
    }

    public class HotelInquiryDelDto : DelBaseDto
    { }
}
