﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.System
{
    /// <summary>
    /// 洲
    /// </summary>
    [SugarTable("Sys_Continent")]
    public class Sys_Continent:EntityBase
    {
        /// <summary>
        /// 洲名称 中文
        /// </summary>
        [SugarColumn(IsNullable = true , ColumnDataType = "varchar(50)")]
        public string Name_CN { get; set; }

        /// <summary>
        /// 洲名称 英文
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "nvarchar(50)")]
        public string Name_EN { get; set; }
    }
}
