﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.System
{
    /// <summary>
    /// 国家
    /// </summary>
    [SugarTable("Sys_Countries")]
    public class Sys_Countries: EntityBase
    {
        /// <summary>
        /// 洲 Id
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "int")]
        public int ContinentId { get; set; }

        /// <summary>
        /// 三字码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(10)")]
        public string ThreeCode { get; set; }

        /// <summary>
        /// 国家名称 CN 简称
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "varchar(50)")]
        public string Name_CN { get; set; }

        /// <summary>
        /// 国家名称 CN 全称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string Name_CN_Full { get; set; }

        /// <summary>
        /// 国家名称 EN 简称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "nvarchar(50)")]
        public string Name_EN { get; set; }

        /// <summary>
        /// 国家名称 EN 全称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "nvarchar(100)")]
        public string Name_EN_Full { get; set; }

    }
}
